Subject: Re: octopus merge --no-ff claims to fast-forward even though it doesn't

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 Jan 2017 13:59:10 -0800

Samuel Lijin <[email-masked]> writes:

> I was doing an octopus merge earlier and noticed that it claims to
> fast-forward when you specify --no-ff, even though it does actually
> abide by --no-ff.

This was intentional and hasn't changed since it was first designed;
the octopus was to be used only for the simple and obvious merges.

If anything, I think it should error out when the --no-ff option is
given, issuing the same error message as the one given when any step
other than the last one needs manual resolution.